> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get instance naming restrictions

> Get the naming restrictions applied to instances in the specified project and region.
This endpoint is deprecated.



## OpenAPI

````yaml /api-reference/services_docs_mintlify/cloud_api.yaml get /cloud/v1/instances/{project_id}/{region_id}/available_names
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 5ef57c94b74e
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
  - name: Container as a Service
  - name: Cost Reports
  - name: DDoS Protection
  - name: Everywhere Inference
  - name: Everywhere Inference Apps
  - name: File Shares
  - name: Floating IPs
  - name: Function as a Service
  - name: GPU Bare Metal
  - name: GPU Virtual
  - name: IP Ranges
  - name: Images
  - name: Instances
  - name: Load Balancers
  - name: Logging
  - name: Managed Kubernetes
  - name: Managed PostgreSQL
  - name: Networks
  - name: Placement Groups
  - name: Ports
  - name: Projects
  - name: Quotas
  - name: Regions
  - name: Registry
  - name: Reservations
  - name: Reserved IPs
  - name: Routers
  - name: SSH Keys
  - name: Secrets
  - name: Security Groups
  - name: Snapshot Schedules
  - name: Snapshots
  - name: Tasks
  - name: User Actions
  - name: User Role Assignments
  - name: Volumes
paths:
  /cloud/v1/instances/{project_id}/{region_id}/available_names:
    get:
      tags:
        - Instances
      summary: Get instance naming restrictions
      description: >-
        Get the naming restrictions applied to instances in the specified
        project and region.

        This endpoint is deprecated.
      operationId: InstanceAvailableNamesViewSet.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 1
            examples:
              - 1
            title: Region Id
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AvailableInstanceNamesPydanticSerializer'
      deprecated: true
components:
  schemas:
    AvailableInstanceNamesPydanticSerializer:
      properties:
        allowed_bm_name_templates:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: >-
            Clients will only be able to use these strings as bare metal server
            "bm_name_templates".
          examples:
            - - ed-b9-{ip_octets}
          title: Allowed Bm Name Templates
        allowed_bm_name_win_templates:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: >-
            Clients will only be able to use these strings as bare metal server
            "bm_name_templates".
          examples:
            - - ed-c4-{two_ip_octets}
          title: Allowed Bm Name Win Templates
        allowed_name_templates:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: >-
            If "name_templates_limited" is True, this is the list of allowed
            instance name templates.
          examples:
            - - ed-c4-{ip_octets}
          title: Allowed Name Templates
        allowed_name_win_templates:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: >-
            If "name_templates_limited" is True, this is the list of allowed
            windows instance name templates.
          examples:
            - - ed-b9-{one_ip_octet}
          title: Allowed Name Win Templates
        custom_name_allowed:
          description: If true, instances can be created using "names" field.
          example: false
          examples:
            - false
          title: Custom Name Allowed
          type: boolean
        name_templates_limited:
          description: >-
            If true, only specific strings are allowed in "name_templates"
            fields.
          example: true
          examples:
            - true
          title: Name Templates Limited
          type: boolean
      required:
        - custom_name_allowed
        - name_templates_limited
        - allowed_name_templates
        - allowed_bm_name_templates
        - allowed_name_win_templates
        - allowed_bm_name_win_templates
      title: Instance available names schema
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````